Locale::parseLocale
Normalizer
Locale
PHP Manual

# Locale::setDefault

# locale_set_default

(PHP 5 >= 5.3.0, PECL intl >= 1.0.0)

Locale::setDefault -- locale_set_default — sets the default runtime locale

### Description

Object oriented style

public static bool Locale::setDefault ( string `$locale` )

Procedural style

bool locale_set_default ( string `$locale` )

Sets the default runtime locale to $locale. This changes the value of INTL global 'default_locale' locale identifier. UAX #35 extensions are accepted.

### Parameters

`locale`

  Is a BCP 47 compliant language tag containing the

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 locale_set_default() example

`<?php
locale_set_default('de-DE');
echo locale_get_default();
?>`

Example #2 OO example

`<?php
Locale::setDefault('de-DE');
echo Locale::getDefault();
?>`

The above example will output:

    de-DE

### See Also

- locale_get_default() - Gets the default locale value from the INTL global 'default_locale'

Locale::parseLocale
Normalizer
Locale
PHP Manual